#ifndef COMMPRINTER_H
#define COMMPRINTER_H

#include <stdio.h>
#include <stdlib.h>

#define COMM_PRINTER_COMMON_FILE_ID 9999
#define COMM_PRINTER_UNKNWON_ID       -1

typedef struct tCommPrinter
{
  int                         nDummy;

} CommPrinter;

void CommPrinter_Destruct(CommPrinter* pThis);

CommPrinter* CommPrinter_Instance(void);

void CommPrinter_Reverse(CommPrinter* pThis, char s[]);

void CommPrinter_Itoa(CommPrinter* pThis, int n, char s[]);

int CommPrinter_Mefprint(CommPrinter* pThis, int nId, char *fmt ...);

#endif
